<% provide(:title, translated_attribute(post.title)) %>

<% add_decidim_meta_tags({
  title: translated_attribute(post.title),
  description: translated_attribute(post.body),
  url: post_url(post.id)
}) %>

<%
  edit_link(
    resource_locator(post).edit,
    :update,
    :blogpost,
    blogpost: post
  )
%>
<div class="row">
  <div class="columns medium-7 mediumlarge-8">
    <div class="row column view-header">

      <%= link_to :posts, class: "title-action__action button small hollow" do %>
        <%= icon "chevron-left", class: "icon--small" %>
        <%= t(".back") %>
      <% end %>

      <h2 class="heading2"><%= translated_attribute post.title %></h2>
      <%= cell "decidim/author", present(post.author), from: post %>
    </div>
    <div class="section">
      <p><%= decidim_sanitize translated_attribute post.body %></p>
    </div>
  </div>
  <div id="most-commented" class="columns medium-5 mediumlarge-4 large-4">
    <%= render partial: "sidebar_blog", locals: { posts: posts_most_commented } %>
  </div>
</div>

<%= comments_for post %>
